mailvina
DocsReceiving ▾

API reference

Receiving API

List and retrieve email received on your domains, and download attachments.

List received emails

Lists received emails, newest first. Bodies are not included; retrieve one to get them.

GET/emails/receiving

Query parameters

NameTypeDescription
limitnumber1–100. Default 20.
offsetnumberDefault 0.

Request

curl -X GET 'https://api.mailvina.com/emails/receiving?limit=20' \
  -H 'Authorization: Bearer mv_xxxxxxxxx'

Response

{
  "object": "list",
  "data": [
    {
      "object": "received_email",
      "id": "b4d17a0e-5f1c-4e8a-9d2b-7c3e6f1a2b90",
      "from": "Ada Lovelace <[email protected]>",
      "to": [
        "[email protected]"
      ],
      "cc": [],
      "reply_to": [],
      "subject": "Order #1042",
      "message_id": "<CAF…@mail.gmail.com>",
      "in_reply_to": null,
      "thread_id": "b4d17a0e-5f1c-4e8a-9d2b-7c3e6f1a2b90",
      "created_at": "2026-11-14T10:00:00.000Z",
      "size": 61840,
      "attachments": [
        {
          "id": "att_1",
          "filename": "receipt.pdf",
          "content_type": "application/pdf",
          "size": 48213
        }
      ]
    }
  ],
  "has_more": false
}

Retrieve received email

Returns one received email with its text and HTML bodies, selected headers and attachment list.

GET/emails/receiving/:id

Path parameters

NameTypeDescription
idrequiredstringThe received email ID (from the webhook or the list).

Request

curl -X GET 'https://api.mailvina.com/emails/receiving/:id' \
  -H 'Authorization: Bearer mv_xxxxxxxxx'

Response

{
  "object": "received_email",
  "id": "b4d17a0e-5f1c-4e8a-9d2b-7c3e6f1a2b90",
  "from": "Ada Lovelace <[email protected]>",
  "to": [
    "[email protected]"
  ],
  "subject": "Order #1042",
  "thread_id": "b4d17a0e-5f1c-4e8a-9d2b-7c3e6f1a2b90",
  "created_at": "2026-11-14T10:00:00.000Z",
  "size": 61840,
  "attachments": [
    {
      "id": "att_1",
      "filename": "receipt.pdf",
      "content_type": "application/pdf",
      "size": 48213
    }
  ],
  "text": "Hi, my order hasn’t arrived…",
  "html": "<div dir=\"ltr\">Hi, my order hasn’t arrived…</div>",
  "headers": {
    "message-id": "<CAF…@mail.gmail.com>",
    "date": "Sat, 14 Nov 2026 10:00:00 +0000"
  }
}

Get attachment

Returns one attachment with its content base64-encoded.

GET/emails/receiving/:id/attachments/:attachment_id

Path parameters

NameTypeDescription
idrequiredstringThe received email ID.
attachment_idrequiredstringe.g. att_1.

Request

curl -X GET 'https://api.mailvina.com/emails/receiving/:id/attachments/:attachment_id' \
  -H 'Authorization: Bearer mv_xxxxxxxxx'

Response

{
  "object": "attachment",
  "id": "att_1",
  "filename": "receipt.pdf",
  "content_type": "application/pdf",
  "size": 48213,
  "content": "JVBERi0xLjcK…"
}